########################################
### INITIAL BUFFERING SETTINGS
## Property Name: initial.buffer.type
# Type: String
# Description: initial buffering type
# Values: playlist, animation or none
# Default Value: none
initial.buffer.type=animation
#
## Property Name: buffer.playlistId
# Type: int
# Description: if buffering type is playlist, which playlist id?
# Values: -1 through 1999
# Default Value: -1
buffer.playlistId=-1
#
## Property Name: buffer.animation.directory
# Type: String
# Description: if buffering type is animation, in which resource directory are the animation.xml and image files?
# Values: 00000 through 99999
# Default Value: 89000
buffer.animation.directory=89000
#
## Property Name: buffer.animation.duration
# Type: int
# Description: if buffering type is animation, the number of seconds to play animation
# Values: 0 through Integer.MAX_VALUE
# Default Value: -1
buffer.animation.duration=10
#
########################################
### GPR SETTINGS
## Property Name: gpr.logo
# Type: int
# Description: gpr to set after logo plays
# Values: -1 through 4095
# Default Value: -1.
gpr.logo=-1
#
## Property Name: gpr.trailers
# Type: int
# Description: gpr to set after trailers play
# Values: -1 through 4095
# Default Value: -1.
gpr.trailers=-1
#
########################################
### TITLE SETTINGS
#
## Property Name: title.playback
# Type: int
# Description: if waiting for a certain title before playback, which title number?
# Values: 
# Default Value: -1.
title.playback=-1
#
## Property Name: title.ending
# Type: int
# Description: What title to jump to upon exiting?  int value
# Default Value: 0
title.ending=86
#
########################################
### PROGRESSIVE STREAM SETTINGS
#
## Property Name: stream.org.id
# Type: String
# Description: org id to use in BUDA path of progressive stream files
# Values: 8 character string or the empty string
# Default Value: the empty string
stream.org.id=7fff7379
#
## Property Name: stream.disc.id
# Type: String
# Description: disc id to use in BUDA path of progressive stream files
# Values: disc id (without leading zeroes) or the empty string.
# Note: This should match what is listed for the progressive streams in the BUMF file
# Default Value: the empty string
stream.disc.id=
#
########################################
### SERVER API SETTINGS
#
## Property Name: api.disc.id.override
# Type: String
# Description: to send an disc id different from the actual disc org id in the API requests
# Values: any 32 character string or the empty string to not override the org id.
# Default Value: the empty string
api.disc.id.override=
#
## Property Name: api.org.id.override
# Type: String
# Description: to send an org id different from the actual disc org id in the API requests
# Values: any 8 character string or the empty string to not override the org id.
# Default Value: the empty string
api.org.id.override=
#
## Property Name: api.force.resolution
# Type: String
# Description: To force the resolution of the content
# Values: max, min or the empty string to not force
# Default Value: the empty string
api.force.resolution=
#
## Property Name: api.url.host
# Type: String
# Description: host to connect to for APIs
# Values: any string
# Default Value: the empty string
api.url.host=
#
########################################
### DATA STARVE SETTINGS
##
## Property Name: datastarve.show.animation
# Type: boolean
# Description: sets whether or not so display buffering animation during data starve events
# Values: true or false
# Default Value: true
datastarve.show.animation=true
#
## Property Name: animation.directory
# Type: String
# Description: if showing animation, resource directory for data starved buffering animation assets
# Values: 00000 through 99999
# Default Value: 89000
animation.directory=89000
#
#########################################
### OTHER SETTINGS
## Property Name: metrics.precalculate
# Type: boolean
# Description: pre-calculate metrics before buffering?
# Values: true or false
# Default Value: false
metrics.precalculate=false
#
## Property Name: vfs.revert
# Type: boolean
# Description: Set whether or not to revert the vfs upon exit
# Values: true or false
# Default Value: false
vfs.revert=false
#
## Property Name: debug.level
# Type: String
# Description: Set the debug level
# Values: off, info or debug
# Default Value: off
debug.level=off
#
## Property Name: feed.prp.path
# Type: String
# Description:
# Values: "org_id" or "org_id_disc_id"
# Default Value: org_id
feed.prp.path=org_id_disc_id